
package jp.riken.brain.ni.samuraigraph.base;


import java.awt.geom.Rectangle2D;
import java.util.ArrayList;



/**
 * レジェンドのインタフェース
 */

public interface SGILegendElement extends SGIFigureElement
{

	/**
	 * 
	 */
	public boolean setGraphElement( SGIGraphElement element );

	
	/**
	 * 
	 * @param element
	 * @return
	 */
	public boolean setAxisElement( SGIAxisElement element );
	

	/**
	 * 
	 */
	public ArrayList getDrawingElementList( SGData data );


	/**
	 * 
	 */
	public String getDataName( SGData data );


	/**
	 * 
	 */
	public boolean isDataVisible( SGData data );


	/**
	 * 
	 */
	public boolean setLegendVisible( boolean flag );



	/**
	 * 
	 */
	public boolean isLegendVisible();


	/**
	 * レジェンドの矩形を取得（倍率込み）
	 */
	public Rectangle2D getLegendRect();


	/**
	 * 
	 */
	public ArrayList getVisibleFlagList( SGData data );



	public static final String TAG_NAME_LEGEND = "Legend";
	public static final String KEY_LEGEND_X = "X";
	public static final String KEY_LEGEND_Y = "Y";
	public static final String KEY_LEGEND_VISIBLE = "LegendVisible";
	public static final String KEY_FRAME_VISIBLE = "FrameVisible";
	public static final String KEY_FRAME_LINE_WIDTH = "FrameLineWidth";
	public static final String KEY_FRAME_LINE_COLOR = "FrameLineColor";
	public static final String KEY_BACKGROUND_COLOR = "BackgroundColor";
	public static final String KEY_BACKGROUND_TRANSPARENT = "BackgroundTransparent";



}

